Skip to main content
GET
/
v1
/
events
List events
curl --request GET \
  --url https://api.intrace.ai/v1/events \
  --header 'X-API-Key: <api-key>'
{
  "events": [
    {
      "id": "<string>",
      "title": "<string>",
      "event_category": "<string>",
      "event_type": "<string>",
      "severity": "<string>",
      "article_count": 123,
      "actor_count": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "event_subtype": "<string>",
      "event_date": "<string>",
      "event_date_end": "<string>",
      "location": "<string>",
      "location_country": "<string>",
      "coordinates": [
        123
      ],
      "salience_score": 123,
      "actors": [
        {
          "id": "<string>",
          "canonical_name": "<string>",
          "role": "<string>",
          "actor_category": "<string>",
          "country": "<string>",
          "position": "<string>",
          "role_description": "<string>"
        }
      ],
      "data_source": "<string>"
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123
}
Returns raw event-intelligence rows for discovery, mapping, and analytics.

Query Parameters

ParameterTypeRequiredDescription
bboxstringNoBounding box minLng,minLat,maxLng,maxLat
date_fromstringNoInclusive start date
date_tostringNoInclusive end date
event_categorystringNoFilter by event category
event_typestringNoFilter by event type
location_countrystringNoISO-2 country code
keywordstringNoCase-insensitive keyword search
limitintegerNoMax rows
offsetintegerNoRow offset

Example Request

curl -H "X-API-Key: your-api-key" "https://api.intrace.ai/v1/events?event_category=armed_conflict&location_country=NG&date_from=2026-04-01"

Authorizations

X-API-Key
string
header
required

Query Parameters

bbox
string

Bounding box as minLng,minLat,maxLng,maxLat.

date_from
string<date>
date_to
string<date>
event_category
string
event_type
string
location_country
string
keyword
string
limit
integer
default:100
Required range: 1 <= x <= 5000
offset
integer
default:0
Required range: x >= 0

Response

200 - application/json

Event list.

events
object[]
required
total
integer
required
limit
integer
required
offset
integer
required